Attribute VB_Name = "mStatusDefs"
Option Explicit
'
' Brad Martinez http://www.mvps.org/ccrp
'

Public Const STATIC_CLASSNAME = "Static"

Public Enum StaticMessages
  WM_CTLCOLORSTATIC = &H138
  STM_SETICON = &H170
  STM_GETICON = &H171
  STM_SETIMAGE = &H172   ' rtns hOldImage
  STM_GETIMAGE = &H173
  STM_MSGMAX = &H174
End Enum

' STM_GET/SETIMAGE wParam values
Public Enum ImageTypes
  IMAGE_BITMAP = 0
  IMAGE_ICON = 1
  IMAGE_CURSOR = 2
  IMAGE_ENHMETAFILE = 3
End Enum

Public Enum StaticNotifications
  STN_CLICKED = 0
  STN_DBLCLK = 1
  STN_ENABLE = 2
  STN_DISABLE = 3
End Enum

Public Enum StaticStyles
  SS_LEFT = &H0
  SS_CENTER = &H1
  SS_RIGHT = &H2
  SS_ICON = &H3   ' autosizes the control
  SS_BLACKRECT = &H4
  SS_GRAYRECT = &H5
  SS_WHITERECT = &H6
  SS_BLACKFRAME = &H7
  SS_GRAYFRAME = &H8
  SS_WHITEFRAME = &H9
  SS_USERITEM = &HA
  SS_SIMPLE = &HB
  SS_LEFTNOWORDWRAP = &HC
  
  SS_OWNERDRAW = &HD
  SS_BITMAP = &HE
  SS_ENHMETAFILE = &HF
  SS_ETCHEDHORZ = &H10
  SS_ETCHEDVERT = &H11
  SS_ETCHEDFRAME = &H12
  SS_TYPEMASK = &H1F
  
  SS_NOPREFIX = &H80               ' Don't do "&" character translation
  SS_NOTIFY = &H100
  SS_CENTERIMAGE = &H200
  SS_RIGHTJUST = &H400
  SS_REALSIZEIMAGE = &H800
  SS_SUNKEN = &H1000
  SS_ENDELLIPSIS = &H4000
  SS_PATHELLIPSIS = &H8000
  SS_WORDELLIPSIS = &HC000
  SS_ELLIPSISMASK = &HC000
End Enum
